Qt 5.13 | Qt Quick | QSGSimpleMaterialShader Proxy Page

Qt 5.13.2 Reference Documentation

# QSGSimpleMaterialShader Proxy Page

## Macros

| QSG_DECLARE_SIMPLE_COMPARABLE_SHADER(Shader, State)
| QSG_DECLARE_SIMPLE_SHADER(Shader, State)

## Macro Documentation

### QSG_DECLARE_SIMPLE_COMPARABLE_SHADER(Shader, State)

This macro is used to declare a QSGMaterialType and a `createMaterial()` function for Shader with the given State, where the State class must define a compare function on the form:

      int compare(const State *other) const;

### QSG_DECLARE_SIMPLE_SHADER(Shader, State)

This macro is used to declare a QSGMaterialType and a `createMaterial()` function for Shader with the given State.